/* Sistemas Integrados TEKNISA
   Compras e Suprimentos

Nome: 8250_CMPSTPO_CAD_OL.sql

Descrio:
Stored procedure para a vinculao de todas as filiais existentes
a um determinado subgrupo de produtos e respectivo operador logstico.

Criao:
15/09/2005 Marcelo Alexsandro Souza Silva.
*/

IF EXISTS (SELECT * FROM SYSOBJECTS O, SYSUSERS U
           WHERE
              O.NAME = 'CAD_OL' AND
              TYPE = 'P'                  AND
              U.UID = O.UID               AND
              U.NAME = USER)
   DROP PROCEDURE CAD_OL;
GO

CREATE PROCEDURE CAD_OL
   @P_CDFILIAL    VARCHAR(4),
   @P_CDGRUPPROD  VARCHAR(10),
   @P_CDSUBGRPROD VARCHAR(10)
AS
DECLARE @V_NRSEQPARPROD VARCHAR(10);
DECLARE @V_CDFILIOPELOG VARCHAR(4);
DECLARE @V_PRXCODIGO VARCHAR(20);
DECLARE @V_CUR_CDPRODUTO VARCHAR(10);
DECLARE @V_CUR_CDFILIAL VARCHAR(4);
BEGIN
   DECLARE CUR_PRODUTO CURSOR FOR
       SELECT
          PRSUBGRPROD.CDPRODUTO,
          FILIAL.CDFILIAL
       FROM
          FILIAL,
          PRSUBGRPROD
       WHERE
          PRSUBGRPROD.CDGRUPPROD  = @P_CDGRUPPROD  AND
          PRSUBGRPROD.CDSUBGRPROD = @P_CDSUBGRPROD AND
          PRSUBGRPROD.CDFILISUBGR = 'P'            AND
          ISNULL(FILIAL.IDFUNCAOFILI, '') <> 'O'
   OPEN CUR_PRODUTO;
   FETCH NEXT FROM CUR_PRODUTO INTO @V_CUR_CDPRODUTO,
                                    @V_CUR_CDFILIAL;
   WHILE (@@FETCH_STATUS = 0) BEGIN
      SET @V_NRSEQPARPROD = NULL;
      SET @V_CDFILIOPELOG = NULL;
      SELECT
         @V_NRSEQPARPROD =  MAX(NRSEQPARPROD),
         @V_CDFILIOPELOG = MAX(CDFILIOPELOG)
      FROM
         PARAMPRODSUP
      WHERE
         PARAMPRODSUP.CDPRODUTO   = @V_CUR_CDPRODUTO AND
         PARAMPRODSUP.CDFILIAL    = @V_CUR_CDFILIAL;

      IF (@V_NRSEQPARPROD IS NULL) BEGIN
         EXEC NOVO_CODIGO 'PARAMPRODSUP', @P_SEQUENCIAL = @V_PRXCODIGO OUTPUT, @P_QTDE = 1;
         SET @V_PRXCODIGO = SUBSTRING(@V_PRXCODIGO,11,10);
         INSERT INTO PARAMPRODSUP
           (NRSEQPARPROD, CDFILIAL, CDPRODUTO, CDFILIOPELOG,
            CDGRUPPROD, CDSUBGRPROD, CDFILISUBGR)
         VALUES
           (@V_PRXCODIGO, @V_CUR_CDFILIAL, @V_CUR_CDPRODUTO, @P_CDFILIAL,
            @P_CDGRUPPROD, @P_CDSUBGRPROD, 'P');
      END
      ELSE BEGIN
         IF (@V_CDFILIOPELOG <> @P_CDFILIAL OR @V_CDFILIOPELOG IS NULL) BEGIN
            UPDATE PARAMPRODSUP
            SET
               CDFILIAL     = @V_CUR_CDFILIAL,
               CDPRODUTO    = @V_CUR_CDPRODUTO,
               CDFILIOPELOG = @P_CDFILIAL,
               CDGRUPPROD   = @P_CDGRUPPROD,
               CDSUBGRPROD  = @P_CDSUBGRPROD,
               CDFILISUBGR  = 'P'
            WHERE
               NRSEQPARPROD = @V_NRSEQPARPROD;
         END;
      END;
      FETCH NEXT FROM CUR_PRODUTO INTO @V_CUR_CDPRODUTO,
                                       @V_CUR_CDFILIAL;
   END;
   CLOSE CUR_PRODUTO;
   DEALLOCATE CUR_PRODUTO;
END;
GO
